"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChannelWrapper = void 0;
const stream_1 = require("stream");
const net = require("net");
class ChannelWrapper {
    constructor(ch) {
        if (ch instanceof net.Socket) {
            this.type = ChannelWrapper.TYPE_SOCKET;
            this.socket = ch;
        }
        else if (ch instanceof stream_1.Readable) {
            this.type = ChannelWrapper.TYPE_READABLE;
            this.readable = ch;
        }
        else {
            this.type = ChannelWrapper.TYPE_FD;
            this.fd = ch;
        }
    }
    toString() {
        if (this.type == ChannelWrapper.TYPE_SOCKET) {
            return this.socket.toString();
        }
        else if (this.type == ChannelWrapper.TYPE_READABLE) {
            return this.readable.toString();
        }
        else {
            return this.fd.toString();
        }
    }
}
exports.ChannelWrapper = ChannelWrapper;
ChannelWrapper.TYPE_SOCKET = 1;
ChannelWrapper.TYPE_READABLE = 2;
ChannelWrapper.TYPE_FD = 3;
//# sourceMappingURL=channelWrapper.js.map