/// <reference types="node" />
import { GrandAgent } from "./grandAgent";
import { DataConsumeListener } from "../util/dataConsumeListener";
import { Buffer } from "buffer";
import { ChannelListener } from "./channelListener";
import { ChannelWrapper } from "./channelWrapper";
import { TimerHandler } from "./timerHandler";
declare class ChannelState {
    readonly ch: ChannelWrapper;
    readonly listener: ChannelListener;
    accepted: boolean;
    lastAccessTime: number;
    closing: boolean;
    constructor(ch: ChannelWrapper, listener: ChannelListener);
    access(): void;
    toString(): string;
}
export declare class NonBlockingHandler implements TimerHandler {
    readonly agent: GrandAgent;
    chStates: ChannelState[];
    chCount: number;
    constructor(agent: GrandAgent);
    onTimer(): void;
    addChannelListener(ch: ChannelWrapper, chLis: ChannelListener): ChannelState;
    askToStart(ch: ChannelWrapper): void;
    askToConnect(ch: ChannelWrapper, addr: string, port: number): void;
    askToRead(ch: ChannelWrapper): void;
    askToWrite(buf: Buffer, ch: ChannelWrapper, listener: DataConsumeListener): void;
    askToClose(ch: ChannelWrapper): void;
    closeTimeoutSockets(): void;
    closeAll(): void;
    private addChannelState;
    private removeChannelState;
    private findChannelState;
    private setupSocketEvents;
    private onConnect;
    private onRead;
    private onWrite;
    private onEof;
    private onError;
    private onClosed;
    private doNextAction;
    private readFs;
    private closeChannel;
}
export {};
//# sourceMappingURL=nonBlockingHandler.d.ts.map