"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BcfElement = void 0;
const strUtil_1 = require("../util/strUtil");
const bcfKeyVal_1 = require("./bcfKeyVal");
const bcfObject_1 = require("./bcfObject");
class BcfElement extends bcfObject_1.BcfObject {
    constructor(name, arg, fileName, lineNo) {
        super(fileName, lineNo);
        this.contentList = [];
        this.name = name;
        this.arg = arg;
    }
    getValue(key) {
        for (const o of this.contentList) {
            if (o instanceof bcfKeyVal_1.BcfKeyVal) {
                const kv = o;
                if (strUtil_1.StrUtil.eqIgnoreCase(kv.key, key))
                    return kv.value;
            }
        }
        return null;
    }
}
exports.BcfElement = BcfElement;
//# sourceMappingURL=bcfElement.js.map