/// <reference types="node" />
import { ProtocolException } from "../../protocol/protocolException";
import { Tour } from "../../tour/tour";
import { DataConsumeListener } from "../../util/dataConsumeListener";
export interface InboundHandler {
    /**
     * Send protocol error
     */
    sendReqProtocolError(e: ProtocolException): boolean;
    /**
     * Send HTTP headers to client
     */
    sendResHeaders(tur: Tour): any;
    /**
     * Send Contents to client
     */
    sendResContent(tur: Tour, bytes: Buffer, ofs: number, len: number, lis: DataConsumeListener): any;
    /**
     * Send end of contents to client.
     */
    sendEndTour(tur: Tour, keepAlive: boolean, lis: DataConsumeListener): any;
}
//# sourceMappingURL=inboundHandler.d.ts.map