/// <reference types="node" />
import { DockerBase } from "./dockerBase";
import { Port } from "../port";
import { Permission } from "../permission";
import { Secure } from "../Secure";
import { City } from "../city";
import { GrandAgent } from "../../agent/grandAgent";
import { Transporter } from "../../agent/transporter/transporter";
import { ProtocolHandler } from "../../protocol/protocolHandler";
import { InboundShip } from "./inboundShip";
import { Docker } from "../docker";
import { InboundShipStore } from "./inboundShipStore";
import * as net from "net";
import { ProtocolHandlerStore } from "../../protocol/protocolHandlerStore";
import { Cities } from "../../util/cities";
import { BcfElement } from "../../bcf/bcfElement";
import { BcfKeyVal } from "../../bcf/bcfKeyVal";
import { ChannelWrapper } from "../../agent/channelWrapper";
export declare abstract class PortBase extends DockerBase implements Port, Docker {
    permissionList: Permission[];
    host: string;
    port: number;
    socketPath: string;
    timeoutSec: number;
    secureDocker: Secure;
    anchored: boolean;
    additionalHeaders: string[][];
    cities: Cities;
    getType(): string;
    abstract supportAnchored(): boolean;
    abstract supportUnanchored(): boolean;
    init(elm: BcfElement, parent: Docker): void;
    initDocker(dkr: Docker): boolean;
    initKeyVal(kv: BcfKeyVal): boolean;
    getHost(): string;
    getPort(): number;
    abstract protocol(): string;
    getSocketPath(): string;
    getAddress(): string;
    isAnchored(): boolean;
    getTimeoutSec(): number;
    isSecure(): boolean;
    getAdditionalHeaders(): string[][];
    checkAdmitted(ch: net.Socket): void;
    getCities(): City[];
    findCity(name: string): City;
    newTransporter(agent: GrandAgent, ch: ChannelWrapper): Transporter;
    returnProtocolHandler(agt: GrandAgent, protoHnd: ProtocolHandler<any, any>): void;
    returnShip(sip: InboundShip): void;
    createServer(): net.Server;
    getSecure(): Secure;
    static getShipStore(agt: GrandAgent): InboundShipStore;
    static getProtocolHandlerStore(protocol: string, agt: GrandAgent): ProtocolHandlerStore<any, any>;
}
//# sourceMappingURL=portBase.d.ts.map