import { Harbor } from "../harbor";
import { DockerBase } from "../base/dockerBase";
import { Locale } from "../../util/locale";
import { Trouble } from "../trouble";
import { BcfElement } from "../../bcf/bcfElement";
import { Docker } from "../docker";
import { BcfKeyVal } from "../../bcf/bcfKeyVal";
export declare class BuiltInHarborDocker extends DockerBase implements Harbor {
    static readonly DEFAULT_MAX_SHIPS: number;
    static readonly DEFAULT_GRAND_AGENTS: number;
    static readonly DEFAULT_TRAIN_RUNNERS: number;
    static readonly DEFAULT_TAXI_RUNNERS: number;
    static readonly DEFAULT_SOCKET_TIMEOUT_SEC: number;
    static readonly DEFAULT_KEEP_TIMEOUT_SEC: number;
    static readonly DEFAULT_TOUR_BUFFER_SIZE: number;
    static readonly DEFAULT_CHARSET: string;
    static readonly DEFAULT_CONTROL_PORT: number;
    static readonly DEFAULT_SEND_FILE_METHOD: number;
    static readonly DEFAULT_MULTI_CORE: boolean;
    static readonly DEFAULT_GZIP_COMP: boolean;
    static readonly DEFAULT_PID_FILE: string;
    charset: string;
    controlPort: number;
    fileSendMethod: number;
    gzipComp: boolean;
    keepTimeoutSec: number;
    locale: Locale;
    maxShips: number;
    multiCore: boolean;
    numGrandAgents: number;
    numTainRunners: number;
    numTaxiRunners: number;
    pidFile: string;
    redirectFile: string;
    socketTimeoutSec: number;
    tourBufferSize: number;
    traceHeader: boolean;
    trouble: Trouble;
    init(ini: BcfElement, parent: Docker): void;
    initDocker(dkr: Docker): boolean;
    initKeyVal(kv: BcfKeyVal): boolean;
    getType(): string;
    getCharset(): string;
    getControlPort(): number;
    getFileSendMethod(): number;
    getGzipComp(): boolean;
    getKeepTimeoutSec(): number;
    getLocale(): Locale;
    getMaxShips(): number;
    isMultiCore(): boolean;
    getNumGrandAgents(): number;
    getNumTainRunners(): number;
    getNumTaxiRunners(): number;
    getPidFile(): string;
    getRedirectFile(): string;
    getSocketTimeoutSec(): number;
    getTourBufferSize(): number;
    isTraceHeader(): boolean;
    getTrouble(): Trouble;
}
//# sourceMappingURL=builtInHarborDocker.d.ts.map