"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LogBoat = void 0;
const boat_1 = require("../../watercraft/boat");
const bayLog_1 = require("../../bayLog");
const os = require("os");
class LogBoat extends boat_1.Boat {
    toString() {
        return "lboat#" + this.boatId + "/" + this.objectId + " file=" + this.fileName;
    }
    ////////////////////////////////////////////////////////////////////
    // Implements Reusable
    ////////////////////////////////////////////////////////////////////
    reset() {
        this.fileName = null;
        this.postman = null;
    }
    ////////////////////////////////////////////////////////////////////
    // Implements DataListener
    ////////////////////////////////////////////////////////////////////
    notifyClose() {
    }
    notifyError(err) {
        bayLog_1.BayLog.error_e(err);
    }
    ////////////////////////////////////////////////////////////////////
    // Custom methods
    ////////////////////////////////////////////////////////////////////
    initBoat(filename, postman) {
        super.init();
        this.fileName = filename;
        this.postman = postman;
    }
    log(data) {
        if (data == null)
            data = "";
        let buf = Buffer.from(data + os.EOL);
        this.postman.post(buf, null, this.fileName, null);
    }
}
exports.LogBoat = LogBoat;
//# sourceMappingURL=logBoat.js.map