"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileContentHandler = void 0;
const tour_1 = require("../../tour/tour");
const bayLog_1 = require("../../bayLog");
class FileContentHandler {
    constructor(path) {
        this.path = path;
        this.abortable = true;
    }
    //////////////////////////////////////////////////////
    // Implements ReqContentHandler
    //////////////////////////////////////////////////////
    onReadContent(tur, buf, start, len) {
        bayLog_1.BayLog.debug("%s onReadContent(Ignore) len=%d", tur, len);
    }
    onEndContent(tur) {
        bayLog_1.BayLog.debug("%s endContent", tur);
        tur.res.sendFile(tour_1.Tour.TOUR_ID_NOCHECK, this.path, tur.res.charset, true);
        this.abortable = false;
    }
    onAbort(tur) {
        return false;
    }
}
exports.FileContentHandler = FileContentHandler;
//# sourceMappingURL=fileContentHandler.js.map