"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileDocker = void 0;
const clubBase_1 = require("../base/clubBase");
const strUtil_1 = require("../../util/strUtil");
const bayLog_1 = require("../../bayLog");
const sysUtil_1 = require("../../util/sysUtil");
const fileContentHandler_1 = require("./fileContentHandler");
class FileDocker extends clubBase_1.ClubBase {
    constructor() {
        super(...arguments);
        this.listFiles = false;
    }
    //////////////////////////////////////////////////////
    // Implements DockerBase
    //////////////////////////////////////////////////////
    initKeyVal(kv) {
        switch (kv.key.toLowerCase()) {
            default:
                return super.initKeyVal(kv);
            case "listfiles":
                this.listFiles = strUtil_1.StrUtil.parseBool(kv.value);
                break;
        }
        return true;
    }
    //////////////////////////////////////////////////////
    // Implements DockerBase
    //////////////////////////////////////////////////////
    arrive(tur) {
        let relPath = tur.req.rewrittenURI != null ? tur.req.rewrittenURI : tur.req.uri;
        if (!strUtil_1.StrUtil.empty(tur.town.getName()))
            relPath = relPath.substring(tur.town.getName().length);
        let pos = relPath.indexOf('?');
        if (pos != -1)
            relPath = relPath.substring(0, pos);
        try {
            relPath = decodeURI(relPath);
        }
        catch (e) {
            bayLog_1.BayLog.error("Cannot decode path: %s: %s", relPath, e);
        }
        let real = sysUtil_1.SysUtil.joinPath(tur.town.getLocation(), relPath);
        if (sysUtil_1.SysUtil.isDirectory(real) && this.listFiles) {
            //DirectoryTrain train = new DirectoryTrain(tur, real);
            //train.startTour();
        }
        else {
            let handler = new fileContentHandler_1.FileContentHandler(real);
            tur.req.setContentHandler(handler);
        }
    }
}
exports.FileDocker = FileDocker;
module.exports = {
    createDocker: () => new FileDocker()
};
//# sourceMappingURL=fileDocker.js.map