import { Ship } from "../../watercraft/ship";
import { Tour } from "../../tour/tour";
import { GrandAgent } from "../../agent/grandAgent";
import { Transporter } from "../../agent/transporter/transporter";
import { ProtocolHandler } from "../../protocol/protocolHandler";
import { WarpDocker } from "./warpDocker";
import { WarpHandler } from "./warpHandler";
import { Command } from "../../protocol/command";
import { ChannelWrapper } from "../../agent/channelWrapper";
export declare class WarpShip_TourWrapper {
    id: number;
    tour: Tour;
    constructor(id: number, tour: Tour);
    toString(): string;
}
export declare class WarpShip extends Ship {
    docker: WarpDocker;
    tourMap: Map<number, WarpShip_TourWrapper>;
    connected: boolean;
    socketTimeoutSec: number;
    private cmdBuf;
    constructor();
    initWarp(ch: ChannelWrapper, agt: GrandAgent, tp: Transporter, dkr: WarpDocker, protoHandler: ProtocolHandler<any, any>): void;
    toString(): string;
    reset(): void;
    getDocker(): WarpDocker;
    getWarpHandler(): WarpHandler;
    startWarpTour(tur: Tour): void;
    endWarpTour(tur: Tour): void;
    notifyServiceUnavailable(msg: string): void;
    getTour(warpId: number, must?: boolean): Tour;
    abort(checkId: number): void;
    isTimeout(duration: number): boolean;
    notifyErrorToOwnerTour(status: number, msg: string): void;
    endShip(): void;
    post(cmd: Command<any, any, any>, listener?: () => void): void;
    flush(): void;
}
//# sourceMappingURL=warpShip.d.ts.map