"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemUsage = void 0;
const inboundShipStore_1 = require("./docker/base/inboundShipStore");
const protocolHandlerStore_1 = require("./protocol/protocolHandlerStore");
const packetStore_1 = require("./protocol/packetStore");
const tourStore_1 = require("./tour/tourStore");
const bayserver_1 = require("./bayserver");
const grandAgent_1 = require("./agent/grandAgent");
class AgentListener {
    add(agentId) {
        MemUsage.memUsages.set(agentId, new MemUsage(agentId));
    }
    remove(agentId) {
        MemUsage.memUsages.delete(agentId);
    }
}
class MemUsage {
    constructor(id) {
        this.agentId = id;
    }
    printUsage(indent) {
        inboundShipStore_1.InboundShipStore.getStore(this.agentId).printUsage(indent + 1);
        for (const store of protocolHandlerStore_1.ProtocolHandlerStore.getStores(this.agentId)) {
            store.printUsage(indent + 1);
        }
        for (const store of packetStore_1.PacketStore.getStores(this.agentId)) {
            store.printUsage(indent + 1);
        }
        tourStore_1.TourStore.getStore(this.agentId).printUsage(indent + 1);
        for (const city of bayserver_1.BayServer.cities.getCities()) {
            this.printCityUsage(null, city, indent);
        }
        ;
        for (const port of bayserver_1.BayServer.ports) {
            for (const city of port.getCities()) {
                this.printCityUsage(port, city, indent);
            }
        }
    }
    static init() {
        this.memUsages = new Map();
        grandAgent_1.GrandAgent.addLifecycleListener(new AgentListener());
    }
    static get(id) {
        return this.memUsages.get(id);
    }
    printCityUsage(port, city, indent) {
        let pname = port == null ? "" : "@" + port;
        for (const club of city.getClubs()) {
            /*
            if (club instanceof WarpDocker) {
                BayLog.info("%sClub(%s%s) Usage:", StrUtil.indent(indent), club, pname);
                (club as WarpDocker).getShipStore(this.agentId).printUsage(indent+1);
            }
             */
        }
        for (const town of city.getTowns()) {
            for (const club of town.getClubs()) {
                /*
                if (club instanceof WarpDocker) {
                    BayLog.info("%sClub(%s%s) Usage:", StrUtil.indent(indent), club, pname);
                    (club as WarpDocker).getShipStore(this.agentId).printUsage(indent + 1);
                }

                 */
            }
        }
    }
}
exports.MemUsage = MemUsage;
//# sourceMappingURL=memUsage.js.map