"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommandPacker = void 0;
class CommandPacker {
    constructor(pktPacker, pktStore) {
        this.pktPacker = pktPacker;
        this.pktStore = pktStore;
    }
    //////////////////////////////////////////////////////
    // Implements Reusable
    //////////////////////////////////////////////////////
    reset() {
    }
    //////////////////////////////////////////////////////
    // Custom methods
    //////////////////////////////////////////////////////
    post(sip, cmd, listener = null) {
        let pkt = this.pktStore.rent(cmd.type);
        try {
            cmd.pack(pkt);
            this.pktPacker.post(sip.postman, pkt, () => {
                //BayLog.debug("%s callback & return packet", sip)
                this.pktStore.Return(pkt);
                if (listener != null)
                    listener();
            });
        }
        catch (e) {
            this.pktStore.Return(pkt);
            throw e;
        }
    }
    flush(ship) {
        this.pktPacker.flush(ship.postman);
    }
    end(ship) {
        this.pktPacker.end(ship.postman);
    }
}
exports.CommandPacker = CommandPacker;
//# sourceMappingURL=commandPacker.js.map