/// <reference types="node" />
import { Reusable } from "../util/Reusable";
import { Buffer } from "buffer";
import { PacketPartAccessor } from "./packetPartAccessor";
/**
 * Packet format
 *   +---------------------------+
 *   +  Header(type, length etc) +
 *   +---------------------------+
 *   +  Data(payload data)       +
 *   +---------------------------+
 */
export declare abstract class Packet implements Reusable {
    static readonly INITIAL_BUF_SIZE: number;
    readonly type: number;
    buf: Buffer;
    bufLen: number;
    readonly headerLen: number;
    readonly maxDataLen: number;
    constructor(type: number, headerLen: number, maxDataLen: number);
    reset(): void;
    dataLen(): number;
    expand(): void;
    newHeaderAccessor(): PacketPartAccessor;
    newDataAccessor(): PacketPartAccessor;
    toString(): string;
}
//# sourceMappingURL=packet.d.ts.map