import { Reusable } from "../util/Reusable";
import { InboundShip } from "../docker/base/inboundShip";
import { Counter } from "../util/counter";
import { Town } from "../docker/town";
import { City } from "../docker/city";
import { Club } from "../docker/club";
import { TourReq } from "./tourReq";
import { TourRes } from "./tourRes";
import { HttpException } from "../httpException";
export declare class Tour implements Reusable {
    static readonly STATE_UNINITIALIZED: number;
    static readonly STATE_PREPARING: number;
    static readonly STATE_RUNNING: number;
    static readonly STATE_ABORTED: number;
    static readonly STATE_ENDED: number;
    static readonly STATE_ZOMBIE: number;
    static readonly TOUR_ID_NOCHECK: number;
    static readonly INVALID_TOUR_ID: number;
    ship: InboundShip;
    shipId: number;
    readonly objectId: number;
    static readonly oidCounter: Counter;
    static readonly idCounter: Counter;
    tourId: number;
    errorHandling: boolean;
    town: Town;
    city: City;
    club: Club;
    req: TourReq;
    res: TourRes;
    interval: number;
    isSecure: boolean;
    state: number;
    error: HttpException;
    constructor();
    init(key: number, sip: InboundShip): void;
    toString(): string;
    reset(): void;
    id(): number;
    go(): void;
    isValid(): boolean;
    isPreparing(): boolean;
    isRunning(): boolean;
    isAborted(): boolean;
    isZombie(): boolean;
    isEnded(): boolean;
    isInitialized(): boolean;
    changeState(checkId: number, newState: number): void;
    checkTourId(checkId: number): void;
}
//# sourceMappingURL=tour.d.ts.map