/// <reference types="node" />
import { Tour } from "./tour";
import { Reusable } from "../util/Reusable";
import { HttpException } from "../httpException";
import { ContentConsumeListener } from "./contentConsumeListener";
import { HttpHeaders } from "../util/httpHeaders";
import { SendFileYacht } from "./sendFileYacht";
export declare class TourRes implements Reusable {
    private readonly tour;
    /**
     * Response header info
     */
    headers: HttpHeaders;
    charset: string;
    headerSent: boolean;
    /**
     * Response content info
     */
    available: boolean;
    bytesPosted: number;
    bytesConsumed: number;
    bytesLimit: number;
    yacht: SendFileYacht;
    resConsumeListener: ContentConsumeListener;
    canCompress: boolean;
    constructor(tour: Tour);
    init(): void;
    toString(): string;
    reset(): void;
    sendHeaders(checkId: number): void;
    setConsumeListener(listener: (len: any, resume: any) => void): void;
    sendContent(checkId: number, buf: Buffer, ofs: number, len: number): boolean;
    endContent(chkId: number): void;
    sendHttpException(chkId: number, e: HttpException): void;
    sendError(chkId: number, status?: number, message?: string, e?: Error): void;
    sendFile(chkId: number, file: string, charset: string, async: boolean): void;
    private sendRedirect;
    private consumed;
    private bufferAvailable;
}
//# sourceMappingURL=tourRes.d.ts.map