"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HostMatcher = void 0;
class HostMatcher {
    constructor(host) {
        if (host == "*") {
            this.type = HostMatcher.MATCH_TYPE_ALL;
        }
        else if (host.startsWith("*.")) {
            this.type = HostMatcher.MATCH_TYPE_DOMAIN;
            this.domain = host.substring(2);
        }
        else {
            this.type = HostMatcher.MATCH_TYPE_EXACT;
            this.host = host;
        }
    }
    match(remoteHost) {
        if (this.type == HostMatcher.MATCH_TYPE_ALL) {
            // all match
            return true;
        }
        if (remoteHost == null) {
            return false;
        }
        if (this.type == HostMatcher.MATCH_TYPE_EXACT) {
            // exact match
            return remoteHost == this.host;
        }
        else {
            // domain match
            return remoteHost.endsWith(this.domain);
        }
    }
}
exports.HostMatcher = HostMatcher;
HostMatcher.MATCH_TYPE_ALL = 1;
HostMatcher.MATCH_TYPE_EXACT = 2;
HostMatcher.MATCH_TYPE_DOMAIN = 3;
//# sourceMappingURL=hostMatcher.js.map