"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Mimes = void 0;
const bcfParser_1 = require("../bcf/bcfParser");
const bcfKeyVal_1 = require("../bcf/bcfKeyVal");
class Mimes {
    static init(conf) {
        this.mimeMap = new Map();
        let p = new bcfParser_1.BcfParser();
        let doc = p.parse(conf);
        for (const o of doc.contentList) {
            if (o instanceof bcfKeyVal_1.BcfKeyVal) {
                let kv = o;
                Mimes.mimeMap.set(kv.key.toLowerCase(), kv.value);
            }
        }
    }
    static getType(ext) {
        return Mimes.mimeMap.get(ext.toLowerCase());
    }
}
exports.Mimes = Mimes;
//# sourceMappingURL=mimes.js.map