"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SimpleBuffer = void 0;
const buffer_1 = require("buffer");
class SimpleBuffer {
    constructor(init = SimpleBuffer.INITIAL_BUFFER_SIZE) {
        this.len = 0;
        this.capacity = init;
        this.buf = buffer_1.Buffer.alloc(init);
    }
    //////////////////////////////////////////////////////
    // implements Reusable
    //////////////////////////////////////////////////////
    reset() {
        this.buf.fill(0);
        this.len = 0;
    }
    //////////////////////////////////////////////////////
    // Other methods
    //////////////////////////////////////////////////////
    bytes() {
        return this.buf;
    }
    putByte(b) {
        this.put(buffer_1.Buffer.alloc(1, b), 0, 1);
    }
    put(buf, pos = 0, len = null) {
        if (len == null)
            len = buf.length;
        while (this.len + len > this.buf.length) {
            this.extendBuf();
        }
        buf.copy(this.buf, this.len, pos, pos + len);
        this.len += len;
    }
    extendBuf() {
        let newBuf = buffer_1.Buffer.alloc(this.buf.length * 2);
        this.buf.copy(newBuf, 0, 0, this.len);
        this.buf = newBuf;
    }
}
exports.SimpleBuffer = SimpleBuffer;
SimpleBuffer.INITIAL_BUFFER_SIZE = 32768;
//# sourceMappingURL=simpleBuffer.js.map