/// <reference types="node" />
import { DataListener } from "../agent/transporter/dataListener";
import { ProtocolException } from "../protocol/protocolException";
/**
 * Boat wraps output stream
 */
export declare abstract class Boat implements DataListener {
    static readonly INVALID_BOAT_ID: number;
    private static oidCounter;
    private static idCounter;
    readonly objectId: number;
    boatId: number;
    constructor();
    init(): void;
    notifyConnect(): number;
    notifyRead(buf: Buffer, adr: any): number;
    notifyEof(): number;
    abstract notifyError(err: Error): void;
    notifyHandshakeDone(protocol: string): number;
    notifyProtocolError(e: ProtocolException): boolean;
    abstract notifyClose(): void;
    checkTimeout(durationSec: number): boolean;
    static initClass(): void;
}
//# sourceMappingURL=boat.d.ts.map