"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Boat = void 0;
const counter_1 = require("../util/counter");
const sink_1 = require("../sink");
/**
 * Boat wraps output stream
 */
class Boat {
    constructor() {
        this.objectId = 0;
        this.boatId = 0;
        this.objectId = Boat.oidCounter.next();
        this.boatId = Boat.INVALID_BOAT_ID;
    }
    init() {
        this.boatId = Boat.idCounter.next();
    }
    notifyConnect() {
        throw new sink_1.Sink();
    }
    notifyRead(buf, adr) {
        throw new sink_1.Sink();
    }
    notifyEof() {
        throw new sink_1.Sink();
    }
    notifyHandshakeDone(protocol) {
        throw new sink_1.Sink();
    }
    notifyProtocolError(e) {
        throw new sink_1.Sink();
    }
    checkTimeout(durationSec) {
        return false;
    }
    static initClass() {
        this.oidCounter = new counter_1.Counter();
        this.idCounter = new counter_1.Counter();
    }
}
exports.Boat = Boat;
Boat.INVALID_BOAT_ID = 0;
Boat.initClass();
//# sourceMappingURL=boat.js.map