"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Yacht = void 0;
const counter_1 = require("../util/counter");
const sink_1 = require("../sink");
class Yacht {
    constructor() {
        this.objectId = Yacht.oidCounter.next();
        this.yachtId = Yacht.INVALID_YACHT_ID;
    }
    initYacht() {
        this.yachtId = Yacht.idCounter.next();
    }
    //////////////////////////////////////////////////////
    // Implements DataListener
    //////////////////////////////////////////////////////
    notifyConnect() {
        throw new sink_1.Sink();
    }
    notifyHandshakeDone(protocol) {
        throw new sink_1.Sink();
    }
    notifyProtocolError(e) {
        throw new sink_1.Sink();
    }
    checkTimeout(durationSec) {
        return false;
    }
}
exports.Yacht = Yacht;
Yacht.INVALID_YACHT_ID = 0;
Yacht.oidCounter = new counter_1.Counter();
Yacht.idCounter = new counter_1.Counter();
//# sourceMappingURL=yacht.js.map